--- title: "getServerImageList" slug: "compute-vserver-serverimage-getserverimagelist" tags: ["Server"] updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-serverimage-getserverimagelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getServerImageList Available in VPC Get the server image list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getServerImageList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `serverImageNoList.N` | Array | Optional | Server image number list - Filter by the server image number. - See [getServerImageList](/docs/en/compute-vserver-serverimage-getServerImageList). - Example: `serverImageNoList.1=1234&serverImageNoList.2=2345` | | `serverImageName` | String | Optional | Filter by the server image name. | | `serverImageStatusCode` | String | Optional | Filter by the server image status code. - `INIT` \| `CREAT` \| `CREFL` | | `serverImageTypeCodeList.N` | Array | Optional | Server image type code list - `SELF` \| `NCP` - Filter by the server image type code. - Example: `serverImageTypeCodeList.1=NCP` | | `hypervisorTypeCodeList.N` | Array | Optional | Hypervisor type code list - `XEN` \| `KVM` - Filter by the hypervisor type code. - Example: `hypervisorTypeCodeList.1=XEN&hypervisorTypeCodeList.2=KVM` | | `osTypeCodeList.N` | Array | Optional | Operating system type code list - `CENTOS` \| `UBUNTU` \| `WINDOWS` \| `ROCKY` \| `NAVIX` - Filter by the operating system type code. - Example: `osTypeCodeList.1=CENTOS&osTypeCodeList.2=UBUNTU` | | `platformCategoryCodeList.N` | Array | Optional | Platform category code list - `OS` \| `APP` \| `DBMS` \| `GPU` - Filter by the platform category code. - Example: `platformCategoryCodeList.1=OS&platformCategoryCodeList.2=GPU` | | `pageNo` | Integer | Optional | Page number - 0-N (default: 0) - First page: Enter `0` or `1`. | | `pageSize` | Integer | Conditional | Number of items per page - 1-1000 (default: 1) - Required when entering `pageNo` | | `sortingOrder` | String | Optional | Sort order - `ASC` (default) \| `DESC` - `ASC`: Ascending order - `DESC`: Descending order | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getServerImageList ?regionCode=KR &serverImageNoList.1=*****3135 &serverImageName=test-*** &serverImageStatusCode=CREAT &osTypeCodeList.1=UBUNTU &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getServerImageListResponse` | Object | - | Response result - See [ServerImageList](/docs/en/common-vapidatatype-serverimagelist). | | `getServerImageListResponse.requestId` | String | - | ID for the request - UUID format | | `getServerImageListResponse.returnCode` | String | - | Response code | | `getServerImageListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getServerImageListResponse": { "totalRows": 1, "serverImageList": [ { "serverImageNo": "*****3135", "serverImageName": "test-***", "serverImageType": { "code": "SELF", "codeName": "SELF server image" }, "serverImageLifeCyclePhase": { "code": "IN_SERVICE", "codeName": "In Service" }, "hypervisorType": { "code": "KVM", "codeName": "KVM" }, "cpuArchitectureType": { "code": "X86_64", "codeName": "x86 64bit" }, "osCategoryType": { "code": "LINUX", "codeName": "LINUX" }, "osType": { "code": "UBUNTU", "codeName": "UBUNTU" }, "serverImageStatus": { "code": "CREAT", "codeName": "NSI CREATED state" }, "serverImageOperation": { "code": "NULL", "codeName": "NSI NULL OP" }, "serverImageStatusName": "created", "shareStatus": { "code": "NULL", "codeName": "NSI Share NULL State" }, "blockStorageMappingList": [ { "order": 0, "blockStorageSnapshotInstanceNo": 106384697, "blockStorageSnapshotName": "test-***", "blockStorageSize": 10737418240, "blockStorageVolumeType": { "code": "CB1", "codeName": "Common BlockStorage 1" }, "iops": 100, "throughput": 104857600, "isEncryptedVolume": false } ], "sharedLoginIdList": [], "serverImageProductCode": "SW.VSVR.OS.LNX64.UBNTU.SVR24.G003", "createDate": "2025-06-20T09:59:39+0900", "platformCategoryCode": "OS" } ], "requestId": "3530f136-21b0-4588-8ed8-1dab9012b4ac", "returnCode": "0", "returnMessage": "success" } } ```